[**Flutter ETS API Documentation v1.0.0**](../../../../README.md)

***

# Class: ModifierGoal

Represents a modifier key goal with associated key pairs.

## Constructors

### Constructor

> **new ModifierGoal**(`name`, `keys`): `ModifierGoal`

Constructs a new ModifierGoal instance.

#### Parameters

##### name

`string`

The modifier name (e.g., "Ctrl", "Shift", "Alt")

##### keys

[`KeyPair`](KeyPair.md)[]

Array of KeyPair instances for this modifier

#### Returns

`ModifierGoal`

## Properties

### keys

> **keys**: [`KeyPair`](KeyPair.md)[]

Array of KeyPair instances for this modifier.

***

### name

> **name**: `string`

The modifier name (e.g., "Ctrl", "Shift", "Alt").
